#include <iostream>
#include <algorithm>
#include <locale>
#include <string>

class Automate
{
   static const char SYMBOLE_FIN = '.';
   std::string cumul_;
   enum Etat
   {
      MAJUSCULE,
      MINUSCULE,
      FIN,
      NB_ETATS,
      INITIAL = MAJUSCULE
   };
   Etat etat_;
   Etat etat() const { return etat_; }
   void cumuler(const char c) { cumul_ += c; }
   void nouvel_etat(const Etat e) { etat_ = e; }
public:
   Automate()
      : etat_(INITIAL)
   {
   }
   bool termine() const throw()
      { return etat() == FIN; }
   void consommer(const char c)
   {
      using std::locale;
      using std::tolower;
      using std::toupper;
      if (c == SYMBOLE_FIN)
         nouvel_etat(FIN);
      else
         switch(etat())
         {
         case MAJUSCULE:
            cumuler(toupper(c, locale("")));
            nouvel_etat(MINUSCULE);
            break;
         case MINUSCULE:
            cumuler(tolower(c, locale("")));
            nouvel_etat(MAJUSCULE);
            break;
         };
   }
   std::string resultat() const
      { return cumul_; }
};

int main ()
{
   using std::cin;
   using std::cout;
   using std::endl;
   using std::skipws;
   using std::noskipws;
   cin >> noskipws;
   Automate a;
   for (char c; cin >> c && (a.consommer(c), !a.termine()); )
      ;
   cout << a.resultat() << endl;
}
